Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Creating themes is secure?
#1
Hi guys,
I'm working on few themes idea for 1.8 and I use MyBB BETA 3 version.

When I'll export/import the themes to the official 1.8 version, do I risk something?

What I mean, security patches can be inside a theme so the theme you'll change the patched version to an unpatched one?
Back in the days.
#2
Security issues are really more of a PHP related thing, not a template related thing. You may need to update a few templates after the release because they have tweaked a few since the beta 3 release, but I don't believe there is any security risk involved in developing themes now. I've already started developing themes and plugins off the beta 3 release.
#3
(2014-07-28, 04:02 AM)Darth Apple Wrote: Security issues are really more of a PHP related thing, not a template related thing. You may need to update a few templates after the release because they have tweaked a few since the beta 3 release, but I don't believe there is any security risk involved in developing themes now. I've already started developing themes and plugins off the beta 3 release.
I never used GitHub Blush
Where I can see template edits from beta 3 to 1.8?
Back in the days.
#4
(2014-07-28, 04:42 AM)YOLOnline Wrote:
(2014-07-28, 04:02 AM)Darth Apple Wrote: Security issues are really more of a PHP related thing, not a template related thing. You may need to update a few templates after the release because they have tweaked a few since the beta 3 release, but I don't believe there is any security risk involved in developing themes now. I've already started developing themes and plugins off the beta 3 release.
I never used GitHub Blush
Where I can see template edits from beta 3 to 1.8?

I don't believe they have released a list of them. I'll be surprised if they do, considering Beta 3 is not officially supported.
#5
(2014-07-28, 03:33 AM)YOLOnline Wrote: Hi guys,
I'm working on few themes idea for 1.8 and I use MyBB BETA 3 version.

When I'll export/import the themes to the official 1.8 version, do I risk something?

What I mean, security patches can be inside a theme so the theme you'll change the patched version to an unpatched one?

After noticing how much the CSS changed between Beta 1 and Beta 2, and also noticing that things like buttons are CSS driven, I decided to stop developing my custom theme until the final release arrives.


Forum Jump:


Users browsing this thread: 1 Guest(s)